Name:		soapysdr
Version:	0.6.0
Release:	1%{?dist}
Summary:	Vendor and platform neutral SDR support library

License:	Boost
URL:		https://github.com/pothosware/SoapySDR
Source0:	https://github.com/pothosware/SoapySDR/archive/soapy-sdr-%{version}.tar.gz

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	swig

%description
SoapySDR is a vendor and platform neutral SDR support library.

%package -n soapysdr-libs
Summary:	Vendor and platform neutral SDR support library

%description -n soapysdr-libs
SoapySDR is a vendor and platform neutral SDR support library.

%package -n python3-soapysdr
Summary:	Python 3 bindings for SoapySDR
BuildRequires:	python3-devel
BuildRequires:	python3-numpy

%description -n python3-soapysdr
Python 3 bindings for SoapySDR.

%package devel
Summary:	Development support files for SoapySDR
Requires:	soapysdr-libs=%{version}

%description devel
Development support files for SoapySDR.

%prep
%setup -q -n SoapySDR-soapy-sdr-%{version}


%build
%cmake -DSOAPY_SDR_ROOT=/usr
make %{?_smp_mflags}


%install
%make_install


%files
%license LICENSE_1_0.txt
%{_bindir}/SoapySDRUtil

%files -n soapysdr-libs
%doc Changelog.txt README.md
%license LICENSE_1_0.txt
%{_libdir}/libSoapySDR.so.*

%files -n python3-soapysdr
%license LICENSE_1_0.txt
%{python3_sitearch}/SoapySDR.py
%{python3_sitearch}/*SoapySDR.so

%files devel
%doc docs/
%license LICENSE_1_0.txt
%{_includedir}/SoapySDR
%{_libdir}/libSoapySDR.so
%{_libdir}/pkgconfig/SoapySDR.pc
%{_datadir}/cmake/SoapySDR
%{_mandir}/man1/SoapySDRUtil.1%{ext_man}



%changelog
* Thu Dec 07 2017 ared Smith <jsmith@fedoraproject.org> - 0.6.0-1
- Initial packaging
